package net.rzdata.mcp.server.crm.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * CRM 系统配置属性类
 * 映射 application-dev.yml 中的 crm 配置项
 *
 * @author generated
 */
@Component
@ConfigurationProperties(prefix = "crm")
@Data
public class CrmProperties {

    /**
     * CRM 系统的基础 URL
     */
    private String url;

    /**
     * 租户 ID
     */
    private String tenantId;

    /**
     * 认证令牌
     */
    private String token;


    // 便利方法：获取完整的 API URL
    public String getApiUrl(String endpoint) {
        if (url == null) {
            throw new IllegalStateException("CRM URL is not configured");
        }
        
        String baseUrl = url.endsWith("/") ? url : url + "/";
        String cleanEndpoint = endpoint.startsWith("/") ? endpoint.substring(1) : endpoint;
        
        return baseUrl + cleanEndpoint;
    }



}
